package com.ruoyi.project.shiftmgr.service;

import java.util.List;
import com.ruoyi.project.shiftmgr.domain.TShiftAccident;

/**
 * 事故记录Service接口
 * 
 * @author ruoyi
 * @date 2022-07-29
 */
public interface ITShiftAccidentService 
{
    /**
     * 查询事故记录
     * 
     * @param id 事故记录ID
     * @return 事故记录
     */
    public TShiftAccident selectTShiftAccidentById(Long id);

    /**
     * 查询事故记录列表
     * 
     * @param tShiftAccident 事故记录
     * @return 事故记录集合
     */
    public List<TShiftAccident> selectTShiftAccidentList(TShiftAccident tShiftAccident);

    /**
     * 新增事故记录
     * 
     * @param tShiftAccident 事故记录
     * @return 结果
     */
    public int insertTShiftAccident(TShiftAccident tShiftAccident);

    /**
     * 修改事故记录
     * 
     * @param tShiftAccident 事故记录
     * @return 结果
     */
    public int updateTShiftAccident(TShiftAccident tShiftAccident);

    /**
     * 批量删除事故记录
     * 
     * @param ids 需要删除的事故记录ID
     * @return 结果
     */
    public int deleteTShiftAccidentByIds(Long[] ids);

    /**
     * 删除事故记录信息
     * 
     * @param id 事故记录ID
     * @return 结果
     */
    public int deleteTShiftAccidentById(Long id);
}
